Bug 508074 - rpm -Va --root /external_folder fails sometimes
rpm -Va --root /external_folder fails sometimes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Panu Matilainen
Petr Sklenar
: Regression
Depends On:
Blocks: 500798
  Show dependency treegraph
 
Reported: 2009-06-25 09:51 EDT by Petr Sklenar
Modified: 2010-02-23 07:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:40:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-06-25 09:51:13 EDT
Description of problem:
rpm -Va --root /external_folder fails sometimes

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-15.el5

How reproducible:
sometimes

Steps to Reproduce:
$ yum --installroot=/root-postgresql install postgresql-server

$ rpm -V --root /root-postgresql  postgresql-server
^^^ works well even in a long loop

$ rpm -Va --root /root-postgresql 
^^ firstly it works

# secondly that cmd on same machine
$ rpm -Va  
S.5....T  c /etc/pam.d/system-auth
rpmdb: /root-postgresql/var/tmp: No such file or directory
rpmdb: unable to create temporary backing file
rpmdb: /root-postgresql/var/tmp: No such file or directory
... after +- 10 lines it ends

# thirdly 
$ rpm -Va --root /root-postgresql
rpmdb: /root-postgresql/var/tmp: No such file or directory
rpmdb: unable to create temporary backing file
rpmdb: /root-postgresql/var/tmp: No such file or directory
rpmdb: unable to create temporary backing file
rpmdb: /root-postgresql/var/tmp: No such file or directory
rpmdb: unable to create temporary backing file
rpmdb: /root-postgresql/var/tmp: No such file or directory
rpmdb: unable to create temporary backing file

#thousands  and thousands lines

rpmdb: unable to allocate space from the buffer cache
error: db4 error(12) from dbcursor->c_get: Cannot allocate memory

  
Actual results:
rpmdb: /root-postgresql/var/tmp: No such file or directory

Expected results:
no errors

Additional info:
found during testing
https://bugzilla.redhat.com/show_bug.cgi?id=434150
Comment 1 Panu Matilainen 2009-07-01 06:03:15 EDT
Path for temporary databases ends up being wrong when chrooted in the way verification does it. Easiest fix is to just disable the dependency caching on chrooted verify.
Comment 10 errata-xmlrpc 2009-09-02 07:40:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1371.html

Note You need to log in before you can comment on or make changes to this bug.